> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data migration run detail



## OpenAPI

````yaml get /api/migration/data-migration/runs/{run_id}
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/migration/data-migration/runs/{run_id}:
    get:
      tags:
        - Data Migration
      summary: Get data migration run detail
      operationId: get_run_api_migration_data_migration_runs__run_id__get
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Run ID.
            title: Run Id
          description: Run ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataMigrationRunDetailResponse'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    DataMigrationRunDetailResponse:
      properties:
        run_id:
          type: string
          format: uuid
          title: Run Id
        status:
          type: string
          title: Status
        status_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Message
        feature_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Feature Type
        migration_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Migration Type
        source_format:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Format
        dag_run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dag Run Id
        dag_run_ids:
          items:
            type: string
          type: array
          title: Dag Run Ids
        config_s3_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Config S3 Path
        report_output_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Output Location
        tracking_database:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Database
        owner_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        airflow_dag_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Airflow Dag Url
        tables_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tables Count
      type: object
      required:
        - run_id
        - status
        - created_at
      title: DataMigrationRunDetailResponse
      description: Full run detail response.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````